string CheckEntry()
  {		
      // We create an array for the prices
	  MqlRates PriceInfo[]; 
   
      // We sort the price array from the current candle downwards
      ArraySetAsSeries(PriceInfo,true);   
   
      // We fill the array with the price data
      int PriceData =CopyRates(_Symbol,_Period,0,3,PriceInfo);   
   
      // create a string variable for the signal
      string signal="";
	  
      // create an Array for several prices
      double myPriceArray[];  
      
      // define the properties of the AdaptiveMovingAverageValue EA  
      int AdaptiveMovingAverageDefinition = iAMA (_Symbol,_Period,9,2,30,0,PRICE_CLOSE);
      
      // sort the price array from the current candle downwards
      ArraySetAsSeries(myPriceArray,true);

      // Defined MA1, one line,current candle,3 candles, store result 
      CopyBuffer(AdaptiveMovingAverageDefinition,0,0,3,myPriceArray); 
      
      // Get the value of the current candle
      double AdaptiveMovingAverageValue=NormalizeDouble(myPriceArray[0],6); 
      
      if (AdaptiveMovingAverageValue> PriceInfo[0].close)
	  signal ="buy";
	  
      if (AdaptiveMovingAverageValue< PriceInfo[0].close)
	  signal ="sell";
	  
	  // return signal to main module
	  return signal;
  }