string CheckEntry()
  {
      // create empty string variable for the signal  
      string signal=""; 
      
      // create an array0 for price data
      double myPriceArray0[];

      // create an array1 for price data
      double myPriceArray1[]; 
      
      // define the properties of the RVI EA  
      int RVIDefinition = iRVI(_Symbol,_Period,10); 
      
      // sort the array0 from the current candle downwards
      ArraySetAsSeries(myPriceArray0,true);

      // sort the array1 from the current candle downwards
      ArraySetAsSeries(myPriceArray1,true);   
      
      // Defined EA, second line,current candle, 3 candles, in Array0
      CopyBuffer(RVIDefinition,0,0,3,myPriceArray0); 

      // Defined EA, second line,current candle, 3 candles, in Array1
      CopyBuffer(RVIDefinition,1,0,3,myPriceArray1);   

      // calculate the value for the current candle line1
      double RVIValue0=(NormalizeDouble(myPriceArray0[0],3));  

      // calculate the value for the current candle line2
      double RVIValue1=(NormalizeDouble(myPriceArray1[0],3)); 
      
     // buy
	  if (RVIValue0<RVIValue1)
	   if ((RVIValue0<0)&&(RVIValue1<0))
     {
         signal="buy";
     }   
     
     // sell
     if (RVIValue0>RVIValue1)
      if((RVIValue0>0)&&(RVIValue1>0))
     {
         signal="sell";
     }      
     
     // We return the signal to the main module 
     return signal;   
  }            
                          
