string CheckEntry()
  {   
  
	  // We create an array for the price data
	  MqlRates PriceInfo[]; 
   
	  // We sort the price array from the current candle downwards
	  ArraySetAsSeries(PriceInfo,true);   
   
	  // We fill the array with the price data for 3 candles
	  int Data =CopyRates(_Symbol,_Period,0,3,PriceInfo);  
	  
      // create a string for the signal
      string signal="";  
  
      // create an Array for several prices
      double myMovingAverageArray[];
      
      // define the properties of the Moving Average
      int movingAverageDefinition = iMA (_Symbol,_Period,20,0,MODE_SMA,PRICE_CLOSE);
      
      // sort the price array from the current candle downwards
      ArraySetAsSeries(myMovingAverageArray,true);
      
      // Defined EA, one line,current candle,3 candles, store result 
      CopyBuffer(movingAverageDefinition,0,0,3,myMovingAverageArray);
	
	   // if the price is above the SMA
	   if (PriceInfo[1].close > myMovingAverageArray[1])
	   
	   // and was below the SMA before
	   if (PriceInfo[2].close < myMovingAverageArray[2])	   
	   {
	      signal="sell";
	   }	  

	   // if the price is below the SMA  
	   if (PriceInfo[1].close < myMovingAverageArray[1])
	   
	   // and was above the SMA before
	   if (PriceInfo[2].close > myMovingAverageArray[2])	  
	   {
	      signal="buy";
	   }
     
      // return the signal to the main module
      return (signal);
  }

