   string CheckFilter()
 {
      
      // string variable for signal
      string signal="";
      
      // create an Array for several prices
      double myPriceArray[];

      // define the properties of the Chaikin EA  
      int ChaikinDefinition =iChaikin(_Symbol,_Period,3,10,MODE_EMA,VOLUME_TICK);
      
      // sort the price array from the current candle downwards
      ArraySetAsSeries(myPriceArray,true);  

      // Defined MA1, one line,current candle,3 candles, store result 
      CopyBuffer(ChaikinDefinition,0,0,3,myPriceArray);
 
      // Get the value of the current candle
      double ChaikinValue=myPriceArray[0];
      
      // Get the value of the last candle
      double PreviousChaikinValue=myPriceArray[1];  
      
      // buy if crossed zero line from below
      if ((ChaikinValue>0)&&(PreviousChaikinValue<0))
      {
         signal ="buy";
      }
      // sell if crossed zero line from above
      if ((ChaikinValue<0)&&(PreviousChaikinValue>0))
      {
         signal ="sell";
      }          
      
      // return signal to main module
      return signal;    
     
  }