   string CheckFilter()
   {
      // create a string for the signal
      string signal="";
      
      // create an array for the price data
      double myRSIArray[];

      // define the properties for the RSI
      int myRSIDefinition = iRSI (_Symbol,_Period,14,PRICE_CLOSE);
      
      // sort the price data from the current candle downwards
      ArraySetAsSeries(myRSIArray,true);

      // Defined EA,from current candle,for 3 candles, save in array
      CopyBuffer(myRSIDefinition,0,0,3,myRSIArray);

      // calculate the current RSI value
      double myRSIValue=NormalizeDouble(myRSIArray[0],2);  
      
      if (myRSIValue>70) signal ="sell";
      if (myRSIValue<30) signal ="buy"; 
   
   return signal;
   }
   

 