   string CheckFilter()
  {   
       // create a PriceArray
      MqlRates PriceArray[]; 
   
      // sort the PriceArray from the current candle downwards
      ArraySetAsSeries(PriceArray,true);   
   
      // fill the PriceArray with price data for 3 candles
      int Data =CopyRates(_Symbol,_Period,0,3,PriceArray);
  
      // create an empty string for the signal
      string signal="";
      
      // create an array for the signal
      double mySARArray[];
      
      // define the SAR
      int SARDefinition = iSAR (_Symbol,_Period,0.02,0.2);
      
      // sort the array from the current candle downwards
      ArraySetAsSeries(mySARArray,true); 

      // Defined EA, from current candle for 3 candles, store in array
      CopyBuffer(SARDefinition,0,0,3,mySARArray);
            
      // calculate the SAR value of the last candle
      double LastSARValue=NormalizeDouble(mySARArray[1],5);

      // buy signal
	  
      // is SAR value below candle low
      if (LastSARValue < PriceArray[1].low)
      
      
      {
        signal="buy";
      }
	  
      // sell signal    
	  
      // is SAR value above candle low
      if (LastSARValue > PriceArray[1].high)
      
      {
        signal="sell";
      }
     return signal;    
           
  }



 