string CheckFilter()
  {   
      // create a string varable for signal
      string signal="";
        
      // create an Array for several prices
      double WPRArray[];

      // define the properties of the WPR
      int WPRDefinition = iWPR (_Symbol,_Period,14);

      // sort the price array from the current candle downwards
      ArraySetAsSeries(WPRArray,true);   

      // Defined MA1, one line,current candle,3 candles, store result 
      CopyBuffer(WPRDefinition,0,0,3,WPRArray); 
            
      // Get the value of the current candle
      double WPRValue=NormalizeDouble(WPRArray[0],2);
      
      //  buy signal
      if ((WPRValue < -80)&& (WPRValue > -100))
      {
         signal="buy";
      }      
      
      // sell signal
      if ((WPRValue > -20)&& (WPRValue < 0))
      {
         signal="sell";
      }
            
     // return the signal to the main module
     return signal;   
  }
   

 