  string CheckEntry()
  {
      // create a string variable for the signal
      string signal ="";
      
      // create an array for the price data
      double myPriceArray[]; 
      
      // define the ICCI EA  
      int ICCIDefinition = iCCI (_Symbol,_Period,14,PRICE_TYPICAL);
      
      // sort the data from the current candle downwards
      ArraySetAsSeries(myPriceArray,true);      

      // defined EA, buffer 0, current candle, 3 candles, save in Array
      CopyBuffer(ICCIDefinition,0,0,3,myPriceArray);  
      
      // calculate the value for the current candle
      float ICCIValue=myPriceArray[0]; 
      
      // Sell signal   
      if (ICCIValue>100)
      signal="sell";

      // Buy signal
      if (ICCIValue<-100)
      signal="buy";  

      // return the signal to the main module
      return signal;            
                                                                     
  }
   

 