   string CheckFilter()
   {
   // We create an array for the prices
   MqlRates PriceInfo[]; 
   
   // We sort the price array from the current candle downwards
   ArraySetAsSeries(PriceInfo,true);   
   
   // We fill the array with the price data
   int Data =CopyRates(_Symbol,_Period,0,3,PriceInfo);   
   
   // create a string variable for the signal
   string signal="";
   
   // create an Array for several prices
   double MiddleBandArray[];
   double UpperBandArray[];
   double LowerBandArray[];


   // sort the price array from the current candle downwards
   ArraySetAsSeries(MiddleBandArray,true); 
   ArraySetAsSeries(UpperBandArray,true); 
   ArraySetAsSeries(LowerBandArray,true);
           
   // define Bollinger Bands 
   int BollingerBandsDefinition=iBands(_Symbol,_Period,20,0,2,PRICE_CLOSE);
   
   // Copy price info into the array
   CopyBuffer(BollingerBandsDefinition,0,0,3,MiddleBandArray);
   CopyBuffer(BollingerBandsDefinition,1,0,3,UpperBandArray);
   CopyBuffer(BollingerBandsDefinition,2,0,3,LowerBandArray);
   
   // calculate EA for the last candle
   double myMiddleBandValue0=MiddleBandArray[0];
   double myUpperBandValue0=UpperBandArray[0];
   double myLowerBandValue0=LowerBandArray[0];
   
   // calculate EA for the candle before
   double myMiddleBandValue1=MiddleBandArray[1];
   double myUpperBandValue1=UpperBandArray[1];
   double myLowerBandValue1=LowerBandArray[1];

   // buy signal   
   if ((PriceInfo[1].close <myLowerBandValue1)&&(PriceInfo[0].close > myLowerBandValue0))
   signal="buy";   
   
   // sell signal   
   if ((PriceInfo[1].close >myUpperBandValue1)&&(PriceInfo[0].close < myUpperBandValue0))
   signal="sell";

   
   return signal;
   }
   

 