string CheckFilter()
  {   
      // create a string varable for signal
      string signal="";
      
      // create an Array for several prices
      double myPriceArray[];

      // define the properties of the Momentum EA  
      int iMomentumDefinition =iMomentum(_Symbol,_Period,14,PRICE_CLOSE);
      
      // sort the price array from the current candle downwards
      ArraySetAsSeries(myPriceArray,true);  

      // Defined EA, one line,current candle,3 candles, store result 
      CopyBuffer(iMomentumDefinition,0,0,3,myPriceArray);
 
       // Get the value of the current candle
      double myMomentumValue=NormalizeDouble(myPriceArray[0],2);
      
      // Buy signal
      if (myMomentumValue < 100.0)
      {
         signal="buy";
      }
      // Sell signal
      if (myMomentumValue > 100)
      {
         signal="sell";
      }      
     
     return signal; 
     
  }