   string CheckFilter()
   {
   
   // create a string for the signal 
   string signal="";
   
   // We create an array for the K-line und D-line
   double KArray[];
   double DArray[];

   // sort the array from the current candle downwards
   ArraySetAsSeries(KArray,true); 
   ArraySetAsSeries(DArray,true); 
           
   // Defined EA, current candle,3 candles, save the result
   int StochasticDefinition=iStochastic(_Symbol,_Period,5,3,3,MODE_SMA,STO_LOWHIGH);
   
   // We fill the array with price data
   CopyBuffer(StochasticDefinition,0,0,3,KArray);
   CopyBuffer(StochasticDefinition,1,0,3,DArray);
   
   // We calculate the value for the current candle
   double KValue0=KArray[0];
   double DValue0=DArray[0];
   
   // We calculate the value for the last candle
   double KValue1=KArray[1];
   double DValue1=DArray[1];
         
   // buy signal
   
   // if both values are below 20
   if (KValue0<20&&DValue0<20)   
     // If the K value has crossed the D value from below
     if ((KValue0>DValue0) && (KValue1<DValue1))
       {
         signal="buy";
       }
       
   // sell signal
   
   // if both values are above 80 
   if (KValue0>80&&DValue0>80)
   
     // If the K value has crossed the D value from above  
     if ((KValue0<DValue0) && (KValue1>DValue1))
       {  
         signal="sell";
       }
       
   // return signal
   return signal;
 } 